
/* ======================================== container ======================================== */

.container {
    width: 80%;
    max-width: 1280px;
    margin: 0 auto;
    flex: 1 0 auto;
  }
  
/* ======================================== texts ======================================== */

.text {
    &.text--title {
        font-size: $title--m;
        line-height: initial; 
        @media (min-width: 768px) { 
            font-size: $title--t; 
        }
        @media (min-width: 992px) { 
            font-size: $title; 
         }

    }
    &.text--subtitle {
        font-size: $subtitle-m; //16px
        line-height: initial; 
        @media (min-width: 768px) { 
            font-size: $subtitle; //36px
        }
    }
    &.text--para {
        font-size: $body-text-m;
        line-height: initial; 
        @media (min-width: 768px) { 
            font-size: $body-text; //20px
        }
    }
    &.text--small {
        font-size: $small-text-m; //9px
        line-height: initial; 
        @media (min-width: 768px) { 
            font-size: $small-text; //12px
        }
    }
}

.text--primary { color: $primary; }
.uppercase { text-transform: uppercase; }


/* ======================================== Behavior to 0 ======================================== */
button {
    padding: 0;
}